Bug 134845 - need to move hal-device-manager to /usr/bin
Summary: need to move hal-device-manager to /usr/bin
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-06 18:16 UTC by Colin Walters
Modified: 2013-03-06 03:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 17:27:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Colin Walters 2004-10-06 18:16:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040930 Epiphany/1.4.0

Description of problem:
Currently hal-device-manager is a symlink to
/usr/share/hal/device-manager/hal-device-manager, which won't work if
/usr/share is noexec, nor will it work in SELinux strict policy.

The easiest solution is to add a bit of code to do
sys.path.append('/usr/share/hal/device-manager') inside the binary,
generated by configure.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Moo.
    

Additional info:

Comment 1 David Zeuthen 2004-11-01 22:58:22 UTC
Please try out

 http://people.redhat.com/davidz/dist/hal-0.4.0-11.src.rpm

Thanks,
David

Comment 2 David Zeuthen 2004-12-09 17:27:40 UTC
As this is now fixed, I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.